Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class PortletException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.jetspeed.portlet.PortletException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AccessDeniedException, UnavailableException

public class PortletException
extends java.lang.Exception

The `PortletException` class defines a general exception that a portlet can throw when it encounters difficulty.

Author:
  Thomas F. Boehme
See Also:
  Serialized Form

Constructor Summary
`PortletException()` Constructs a new portlet exception.
`PortletException(java.lang.String text)` Constructs a new portlet exception with the given text.
`PortletException(java.lang.String text, java.lang.Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception and include a message about the "root case" that interfered with its normal operation, including a description message.
`PortletException(java.lang.Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the exception that cause this portlet exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletException

    public PortletException()

  Constructs a new portlet exception.

### PortletException

    public PortletException(java.lang.String text)

  Constructs a new portlet exception with the given text. The portlet container may use the text write it to a log.

Parameters:
  `text` - the exception text

### PortletException

    public PortletException(java.lang.String text,
                            java.lang.Throwable cause)

  Constructs a new portlet exception when the portlet needs to throw an exception and include a message about the "root case" that interfered with its normal operation, including a description message.

### PortletException

    public PortletException(java.lang.Throwable cause)

  Constructs a new portlet exception when the portlet needs to throw an exception. The exception's message is based on the localized message of the underlying exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the exception that cause this portlet exception.

  Returns:
    the `Throwable` that caused this portlet exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.